#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static \
		--disable-silent-rules

override_dh_auto_build-indep:
	dh_auto_build -i -- -C doc

override_dh_auto_install-indep:
	dh_auto_install -i -- -C doc

execute_after_dh_auto_install-arch:
	mkdir -p debian/tmp/usr/share/man	

override_dh_auto_test-arch:
	# drop (fake)root privileges,
	# but still skip running test suite
	# as it is *exhaustive*
	env -u LD_PRELOAD dh_auto_test -a --no-act

override_dh_auto_test-indep:
